# vim: ft=nginx
location = /ads.txt {
    if ($scheme = http) {
        return 301 https://$host$request_uri;
    }
    if ($scheme = https) {
        add_header Content-Type "text/plain; charset=utf-8";
        return 200 "contact=webmaster@shore.co.il\n";
    }
}
